Reads image from filename

- « Gmagick::raiseimage

- Gmagick::readimage »

- PHP Manual
- Gmagick
- Reads image from filename

# Gmagick::read

(PECL gmagick >= Unknown)

Gmagick::read — Reads image from filename

### Description

public Gmagick::read(string `$filename`): Gmagick

Reads image from filename.

### Parameters

`filename`

  The image filename.

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.